<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="import_config_report_form">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="import_config_report"/>
            <ui:define name="popup_title">
                <h:outputText value="#{messages['net.ihe.gazelle.mca.ImportResults']}"/>
            </ui:define>
            <ui:param name="bodyStyleClass" value="bg-primary"/>

            <s:div id="reportDiv" >

                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="deletedConfigs"/>
                    <ui:define name="label">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.RemovedConfigurations']}"/>
                    </ui:define>
                    <h:outputText value="#{configBeanGui.nbrDeletedConfigs} #{messages['net.ihe.gazelle.mca.ConfigurationsHaveBeenRemovedFromDatabase']}"/>
                </s:decorate>

                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="overwrittenConfigs"/>
                    <ui:define name="label">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.OverwrittenConfigurations']}"/>
                    </ui:define>

                    <s:div rendered="#{!configBeanGui.getOverwrittenConfigsList().isEmpty()}">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.FollowingConfigurationsHaveBeenOverwritten']} "/>
                        <ul>
                            <ui:repeat value="#{configBeanGui.getOverwrittenConfigsList()}" var="config">
                                <li>
                                    <h:outputText value="#{config.toString()}"/>
                                </li>
                            </ui:repeat>
                        </ul>
                    </s:div>

                    <h:outputText rendered="#{configBeanGui.getOverwrittenConfigsList().isEmpty()}"
                                  value="#{messages['net.ihe.gazelle.mca.0ConfigurationHaveBeenOverwritten']}"/>
                </s:decorate>

                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="addedConfigs"/>
                    <ui:define name="label">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.AddedConfigurations']}"/>
                    </ui:define>
                    <h:outputText value="#{configBeanGui.nbrAddedConfigs} #{messages['net.ihe.gazelle.mca.ConfigurationsHaveBeenAddedToTheDatabase']}"/>
                </s:decorate>

            </s:div>

            <ui:define name="popup_footer">
                <s:div id="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.mca.Return']}"
                                       onclick="jq162('#import_config_report').modal('hide');"
                                       execute="@this"/>
                </s:div>
            </ui:define>

        </ui:decorate>
    </h:form>
</ui:composition>
